Search Results for

Show / Hide Table of Contents

# Class TableView.TableSelection

Describes a selected region of the table

##### Inheritance

System.Object
TableView.TableSelection

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TableSelection : Object

### Constructors

#### TableSelection(Point, Rect)

Creates a new selected area starting at the origin corner and covering the provided rectangular area

##### Declaration

    public TableSelection(Point origin, Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
Point | origin |
Rect | rect |

### Properties

#### Origin

Corner of the Rect where selection began

##### Declaration

    public Point Origin { get; set; }

##### Property Value

Type | Description
--- | ---
Point |

#### Rect

Area selected

##### Declaration

    public Rect Rect { get; set; }

##### Property Value

Type | Description
--- | ---
Rect |